The first time that you call this endpoint for a given IP address and user ID, Corrily calculates the price. On subsequent calls (with the same IP address and user ID), Corrily returns the original calculated price.See Calculate price API examples for examples of how this endpoint is commonly used.
If you’re only using Corrily for price localization (i.e. you are not doing price optimization), this is the endpoint that you call in order to get localized prices.
If you’re also doing price optimization, this is the endpoint you call to get optimized prices.As explained in Price optimization overview, Corrily either returns an experimental price or a control price which will be used to benchmark the experimental prices.Experimental prices are affected by the following factors:
The (potential) customer’s location, which is inferred from their IP address
The product IDs that you want to calculate prices for. In general, you
probably want to include the product IDs for all the product offerings that
you intend to show your visitor. The response from Corrily will contain the
display price for each product. For example, if you provide ["monthly", "annual"], Corrily returns price data for your monthly and annual
products. Product IDs are created by Corrily when you set up your Corrily
account. Email support@corrily.com if you don’t know yours.
If packaging segmentation is enabled, package id can be passed to get the products for a package. That way
the products shown themselves will be based on the package segmentation.
When package segmentation is enabled, the products parameter is optional.
If there is no pacakge segmentation defined for given country, audience, and no package_id, products
are specified in request, an error will be returned.
An IPv4 or IPv6 address. Corrily uses this as the user ID if no user_id is
provided. ip is only required if no user_id is provided and
get_ip_from_request is false. Examples: 187.106.3.73 (IPv4),
2804:14d:ac91:8286:efcb:851f:b59f:fffc (IPv6).
If true, Corrily sources the user’s IP from this request.
get_ip_from_request therefore only works correctly when the Corrily API
request is made from a client device.
An object containing key-value pairs of arbitrary strings that represent features of this user which may affect their optimal price. See User features. Example: {"platform": "ios"}
A currency you wish the price to be tied to. Currencies do not need to match
the passed country. For example, it is possible to return a price in EUR for
someone based in the Unites Sates. Note that the country-adjusted price will
be returned, regardless of the currency set.
With this flag you can run a complete recomputation of what should be shown for a user: country, currency, experiment and arm.
For example, if a user was attached to country A and now you want to attach him to country B, and recompute products and prices for him,
then you can use this flag. After recomputation, all previously saved for this user data will be overrided.
Will override the currency of any previously saved price and instead return
the price in the currency provided. If set to true, a currency param must
be passed. Unlike override the price amount will not be recomputed.
Optional product id to coupon id mapping to explicitly specify the coupon to be applied in the pricing. Coupons feature needs to be enabled for this. example {"product_id_1": "coupon_id_1"}. Multiple coupons can be applied by a comma-delimited string, for example: {"product_id_1": "coupon_id_1,coupon_id2"}
The country that the price data is associated to. If you did not specify a
country when calling calculate price, the country value provided here in the
response is inferred from the user’s IP address.
The currency that the price data is associated to. Tip: check if products. {id}.display.price meets your needs before manually constructing a display price
with this field.
The currency symbol that the price data is associated to. Tip: check if
products.{id}.display.price meets your needs before manually constructing a
display price with this field.
The price data for each of the products that you specified when you called calculate price. The placeholder {id} below represents your product ID(s). See Setup to learn how to create product IDs.
A float version of your price, in case you want to do some custom formatting of the price. Tip: check if products.{id}.display.price meets your needs before manually constructing a display price with this field.
The price data, formatted in a way that your user will quickly understand. This is usually a combination of currency, currency_symbol, and products.{id}.price. products.{id}.price will use commas or periods as separators if that is the local custom. Example: JP¥2,200
If products.{id}.price is an experimental price, this field contains the baseline price striked out, followed by the experimental price. You may want to present this to your user to help them see that they would be paying less than normal customers. Example: ̶3̶4̶ 19
If products.{id}.price is an experimental price, this field contains the percentage discount of the experimental price compared to the baseline price. For example, if the baseline price is 34 and the experimental price is 19, the discount is about 44%: 1 - (19 ÷ 34)) × 100
The currency that products.{id}.integrations.{gateway}.amount is priced in. If this currency is not the same as the top-level currency value in this response (the “local currency”), it means that the payment gateway does not accept the local currency.
The amount that you should pass to the payment gateway when creating the
subscription or charge. Many payment gateways use smallest-unit currency
format
in which case this value will be an integer.
As mentioned in products.{id}.integrations.{gateway}.currency, sometimes a
payment gateway doesn’t support your user’s local currency. If that’s the
case, then products.{id}.integrations. {gateway}.formatted provides the equivalent price in a currency that the payment
gateway does support. This field is similar to products.{id}.display.price in
that it will be formatted in a way that your user will quickly understand.
The price data in a useful format after coupon application.
This value is formatted in the same way as products.{id}.price.
Uses coupons[i].display.price_numeric as a price source.
If products.{id}.price is an experimental price, this field contains the baseline price striked out, followed by the experimental price. You may want to present this to your user to help them see that they would be paying less than normal customers. Example: ̶3̶4̶ 19
If coupon is in percents, then here will be coupon value in percents.
If coupon is absolue value, then this field will contain relation in percents between base price and price after coupon is applied.
{"docsConfig":{"$schema":"https://mintlify.com/docs.json","theme":"mint","name":"Corrily","colors":{"primary":"#2AB896","light":"#3DE2BB","dark":"#371BB1"},"favicon":"/favicon.svg","logo":{"light":"https://mintcdn.com/corrily/Cn8I82iLKQofoT0a/logo/light.svg?fit=max\u0026auto=format\u0026n=Cn8I82iLKQofoT0a\u0026q=85\u0026s=1afe53d6becf6d0438247f620e7703c1","dark":"https://mintcdn.com/corrily/Cn8I82iLKQofoT0a/logo/dark.svg?fit=max\u0026auto=format\u0026n=Cn8I82iLKQofoT0a\u0026q=85\u0026s=35ccda704fe6fcae866645495262a3ef"},"api":{"mdx":{"server":null,"auth":{"method":"key","name":"X-Api-Key"}}},"footer":{"socials":{"website":"https://www.corrily.com","twitter":"https://twitter.com/usecorrily","linkedin":"https://www.linkedin.com/company/corrily"}},"navigation":{"pages":[]}},"deployment":{"deploymentMetadataValue":{"subdomain":"corrily","hasAudioNarration":false,"actualSubdomain":"corrily","customDomains":["docs.corrily.com"],"gitSource":{"type":"github","owner":"corrily","repo":"docs","deployBranch":"main","contentDirectory":"docs","isPrivate":true,"mountPath":"","label":""},"chroma":{"liveDeploymentHistoryId":"6a20c34112ef21155ee55083","collectionId":"e8ba0cd2-8851-4efe-b256-d5ca4fa301f7","schemaVersion":"v2"},"entitlements":{},"buildId":"6ae913e406be5e94190d107c:success","clientVersion":"0.0.4054","searchFilterCounts":[{"language":"default","tag":"Documentation","count":36},{"language":"default","tag":"API Reference","count":18},{"language":"default","tag":"Users","count":7},{"language":"default","tag":"Integration Guides","count":7},{"language":"default","tag":"Price Management","count":6},{"language":"default","tag":"Experiments","count":6},{"language":"default","tag":"Products","count":5},{"language":"default","tag":"Charges","count":4},{"language":"default","tag":"Subscriptions","count":4},{"language":"default","tag":"Basics","count":3}]},"assistantConfig":{},"basePath":"","hasChatPermissions":false,"hasWebMcpPermissions":false,"toggles":[{"name":"kill-isr","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"agent-mintlify-slack","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"agent-integrations-settings","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"automations-pr-grouping","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"custom-prefix","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"analytics-v7","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"user-flows-analytics","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"no-publish-flow","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-onboarding","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"llms-txt-v2","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"snapshot-serving-live","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"stripTemperatureMiddleware","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"support-platform-pylon-zendesk","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"snapshot-serving","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"instant-rollback","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"granular-notifications-server","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"granular-notifications","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"automations-fable","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"fixed-ai-action-pricing","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"automation-resolve-merge-conflict","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"scoped-publishing","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"mintql","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"page-level-analytics","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"editor-version-history-v2","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"billing-page-v2","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"full-page-search","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workspace-projects","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"assistant-v5","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"byok-sep-25","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"fork-pr-previews","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"revalidation-jwt","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"vite-origin","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"billing-updated-9-15","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-sso-scim","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"hobby-abuse-scan","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"dashboard-inbox","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-signup","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"turbopuffer-dual-write","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-enabled","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"approve-review-flow","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"sso-setup-deadline-banner","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"rbac-expansion","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false}],"googleFontsInlined":false},"customCss":[],"page":{"pagePath":"api-reference/calculate-price","slug":"/api-reference/calculate-price","pageMetadata":{"title":"Calculate price","description":"Calculate a localized or optimized price for your service or product based on the customer's location and other characteristics.","api":"POST https://client.corrily.com/v1/prices","href":"/api-reference/calculate-price"},"description":{"compiledSource":"\"use strict\";\nconst {jsx: _jsx} = arguments[0];\nconst {useMDXComponents: _provideComponents} = arguments[0];\nfunction _createMdxContent(props) {\n const _components = {\n p: \"p\",\n ..._provideComponents(),\n ...props.components\n };\n return _jsx(_components.p, {\n children: \"Calculate a localized or optimized price for your service or product based on the customer’s location and other characteristics.\"\n });\n}\nfunction MDXContent(props = {}) {\n const {wrapper: MDXLayout} = {\n ..._provideComponents(),\n ...props.components\n };\n return MDXLayout ? _jsx(MDXLayout, {\n ...props,\n children: _jsx(_createMdxContent, {\n ...props\n })\n }) : _createMdxContent(props);\n}\nreturn {\n default: MDXContent\n};\n","frontmatter":{},"scope":{}},"pageType":"default","mdx":{"mdxSource":{"compiledSource":"\"use strict\";const{Fragment:_Fragment,jsx:_jsx,jsxs:_jsxs}=arguments[0];const{useMDXComponents:_provideComponents}=arguments[0];const id=`\u003cid>`;const gateway=`\u003cgateway>`;function _createMdxContent(props){const _components={a:`a`,code:`code`,em:`em`,li:`li`,p:`p`,span:`span`,ul:`ul`,..._provideComponents(),...props.components},{Expandable,Heading,ParamField,ResponseField}=_components;if(!Expandable)_missingMdxReference(`Expandable`,true);if(!Heading)_missingMdxReference(`Heading`,true);if(!ParamField)_missingMdxReference(`ParamField`,true);if(!ResponseField)_missingMdxReference(`ResponseField`,true);return _jsxs(_Fragment,{children:[_jsx(Heading,{level:`2`,id:`usage`,children:`Usage`}),`\n`,_jsx(_components.p,{children:`The first time that you call this endpoint for a given IP address and user ID, Corrily calculates the price. On subsequent calls (with the same IP address and user ID), Corrily returns the original calculated price.`}),`\n`,_jsxs(_components.p,{children:[`See `,_jsx(_components.a,{href:`/pricing/calculate-price-api-examples`,children:`Calculate price API examples`}),` for examples of how this endpoint is commonly used.`]}),`\n`,_jsx(Heading,{level:`3`,id:`price-localization`,children:`Price localization`}),`\n`,_jsx(_components.p,{children:`If you’re only using Corrily for price localization (i.e. you are not doing price optimization), this is the endpoint that you call in order to get localized prices.`}),`\n`,_jsx(Heading,{level:`3`,id:`price-optimization`,children:`Price optimization`}),`\n`,_jsx(_components.p,{children:`If you’re also doing price optimization, this is the endpoint you call to get optimized prices.`}),`\n`,_jsxs(_components.p,{children:[`As explained in `,_jsx(_components.a,{href:`/pricing/price-optimization-overview`,children:`Price optimization overview`}),`, Corrily either returns an experimental price or a control price which will be used to benchmark the experimental prices.`]}),`\n`,_jsx(_components.p,{children:`Experimental prices are affected by the following factors:`}),`\n`,_jsxs(_components.ul,{children:[`\n`,_jsx(_components.li,{children:`The (potential) customer’s location, which is inferred from their IP address`}),`\n`,_jsxs(_components.li,{children:[`Any `,_jsx(_components.a,{href:`/users/02_user-features`,children:`user features`}),` that you have provided`]}),`\n`,_jsx(_components.li,{children:`The outcomes of previous price experiments`}),`\n`,_jsx(_components.li,{children:`The upper and lower bounds that you defined in the Corrily Dashboard`}),`\n`]}),`\n`,_jsx(Heading,{level:`2`,id:`body-params`,children:`Body Params`}),`\n`,_jsx(ParamField,{body:`user_id`,type:`string`,id:`param-user-id`,children:_jsxs(_components.p,{children:[`A `,_jsx(_components.a,{href:`/users/01_users`,children:`User ID`}),`. Only required if no `,_jsx(_components.code,{children:`ip`}),` is provided and\n`,_jsx(_components.code,{children:`get_ip_from_request`}),` is `,_jsx(_components.code,{children:`false`}),`.`]})}),`\n`,_jsx(ParamField,{body:`products`,type:`string[]`,required:true,id:`param-products`,children:_jsxs(_components.p,{children:[`The product IDs that you want to calculate prices for. In general, you\nprobably want to include the product IDs for all the product offerings that\nyou intend to show your visitor. The response from Corrily will contain the\ndisplay price for each product. For example, if you provide `,_jsx(_components.code,{children:`[\"monthly\", \"annual\"]`}),`, Corrily returns price data for your `,_jsx(_components.code,{children:`monthly`}),` and `,_jsx(_components.code,{children:`annual`}),`\nproducts. Product IDs are created by Corrily when you set up your Corrily\naccount. Email `,_jsx(_components.a,{href:`mailto:support@corrily.com`,children:`support@corrily.com`}),` if you don’t know yours.`]})}),`\n`,_jsx(ParamField,{body:`package_id`,type:`string`,id:`param-package-id`,children:_jsx(_components.p,{children:`If packaging segmentation is enabled, package id can be passed to get the products for a package. That way\nthe products shown themselves will be based on the package segmentation.\nWhen package segmentation is enabled, the products parameter is optional.\nIf there is no pacakge segmentation defined for given country, audience, and no package_id, products\nare specified in request, an error will be returned.`})}),`\n`,_jsx(ParamField,{body:`ip`,type:`string`,id:`param-ip`,children:_jsxs(_components.p,{children:[`An IPv4 or IPv6 address. Corrily uses this as the user ID if no user_id is\nprovided. ip is only required if no user_id is provided and\n`,_jsx(_components.code,{children:`get_ip_from_request`}),` is false. Examples: `,_jsx(_components.code,{children:`187.106.3.73`}),` (IPv4),\n`,_jsx(_components.code,{children:`2804:14d:ac91:8286:efcb:851f:b59f:fffc`}),` (IPv6).`]})}),`\n`,_jsx(ParamField,{body:`get_ip_from_request`,type:`boolean`,id:`param-get-ip-from-request`,children:_jsxs(_components.p,{children:[`If `,_jsx(_components.code,{children:`true`}),`, Corrily sources the user’s IP from this request.\n`,_jsx(_components.code,{children:`get_ip_from_request`}),` therefore only works correctly when the Corrily API\nrequest is made from a client device.`]})}),`\n`,_jsx(ParamField,{body:`country`,type:`string`,id:`param-country`,children:_jsxs(_components.p,{children:[`A two-letter (Alpha-2) `,_jsx(_components.a,{href:`https://en.wikipedia.org/wiki/List_of_ISO_3166_country_codes#Current_ISO_3166_country_codes`,children:`ISO 3166 country\ncode`}),`.\nExample: `,_jsx(_components.code,{children:`US`})]})}),`\n`,_jsx(ParamField,{body:`features`,type:`object`,id:`param-features`,children:_jsxs(_components.p,{children:[`An object containing key-value pairs of arbitrary strings that represent features of this user which may affect their optimal price. See `,_jsx(_components.a,{href:`/users/02_user-features`,children:`User features`}),`. Example: `,_jsx(_components.code,{children:`{\"platform\": \"ios\"}`})]})}),`\n`,_jsx(ParamField,{body:`integrations`,type:`string[]`,id:`param-integrations`,children:_jsxs(_components.p,{children:[`The payment gateways to return integration objects for. Accepted values:\n`,_jsx(_components.code,{children:`stripe`}),`, `,_jsx(_components.code,{children:`paypal`}),`, `,_jsx(_components.code,{children:`chargebee`})]})}),`\n`,_jsx(ParamField,{body:`currency`,type:`string`,id:`param-currency`,children:_jsx(_components.p,{children:`A currency you wish the price to be tied to. Currencies do not need to match\nthe passed country. For example, it is possible to return a price in EUR for\nsomeone based in the Unites Sates. Note that the country-adjusted price will\nbe returned, regardless of the currency set.`})}),`\n`,_jsx(ParamField,{body:`override`,type:`boolean`,id:`param-override`,children:_jsx(_components.p,{children:`With this flag you can run a complete recomputation of what should be shown for a user: country, currency, experiment and arm.\nFor example, if a user was attached to country A and now you want to attach him to country B, and recompute products and prices for him,\nthen you can use this flag. After recomputation, all previously saved for this user data will be overrided.`})}),`\n`,_jsx(ParamField,{body:`override_currency`,type:`boolean`,id:`param-override-currency`,children:_jsxs(_components.p,{children:[`Will override the currency of any previously saved price and instead return\nthe price in the currency provided. If set to `,_jsx(_components.code,{children:`true`}),`, a `,_jsx(_components.code,{children:`currency`}),` param must\nbe passed. Unlike `,_jsx(_components.code,{children:`override`}),` the price amount will `,_jsx(_components.em,{children:`not`}),` be recomputed.`]})}),`\n`,_jsx(ParamField,{body:`run_experiment`,type:`boolean`,id:`param-run-experiment`,children:_jsx(_components.p,{children:`If set to false, will make sure no experiment is run.`})}),`\n`,_jsx(ParamField,{body:`coupons`,type:`object`,id:`param-coupons`,children:_jsxs(_components.p,{children:[`Optional product id to coupon id mapping to explicitly specify the coupon to be applied in the pricing. Coupons feature needs to be enabled for this. example `,_jsx(_components.code,{children:`{\"product_id_1\": \"coupon_id_1\"}`}),`. Multiple coupons can be applied by a comma-delimited string, for example: `,_jsx(_components.code,{children:`{\"product_id_1\": \"coupon_id_1,coupon_id2\"}`})]})}),`\n`,_jsx(Heading,{level:`2`,id:`response`,children:`Response`}),`\n`,_jsx(ResponseField,{name:`success`,type:`boolean`,id:`param-success`,children:_jsx(_components.p,{children:`Whether or not the request completed successfully.`})}),`\n`,_jsx(ResponseField,{name:`user_id`,type:`string`,id:`param-user-id-1`,children:_jsx(_components.p,{children:`The user ID that you provided when you called calculate price, or the user’s\nIP address (if you did not provide a user ID).`})}),`\n`,_jsx(ResponseField,{name:`country`,type:`enum`,id:`param-country-1`,children:_jsxs(_components.p,{children:[`The country that the price data is associated to. If you did not specify a\ncountry when calling calculate price, the `,_jsx(_components.code,{children:`country`}),` value provided here in the\nresponse is inferred from the user’s IP address.`]})}),`\n`,_jsx(ResponseField,{name:`currency`,type:`enum`,id:`param-currency-1`,children:_jsxs(_components.p,{children:[`The currency that the price data is associated to. Tip: check if `,_jsx(_components.code,{children:`products. {id}.display.price`}),` meets your needs before manually constructing a display price\nwith this field.`]})}),`\n`,_jsx(ResponseField,{name:`currency_symbol`,type:`string`,id:`param-currency-symbol`,children:_jsxs(_components.p,{children:[`The currency symbol that the price data is associated to. Tip: check if\n`,_jsx(_components.code,{children:`products.{id}.display.price`}),` meets your needs before manually constructing a\ndisplay price with this field.`]})}),`\n`,_jsx(ResponseField,{name:`package_id`,type:`string`,id:`param-package-id-1`,children:_jsx(_components.p,{children:`The package ID that was used to get the products.`})}),`\n`,_jsxs(ResponseField,{name:`products`,type:`object`,id:`param-products-1`,children:[_jsxs(_components.p,{children:[`The price data for each of the products that you specified when you called calculate price. The placeholder `,_jsx(_components.code,{children:`{id}`}),` below represents your product ID(s). See `,_jsx(_components.a,{href:`/basics/setup`,children:`Setup`}),` to learn how to create product IDs.`]}),_jsxs(Expandable,{title:`\u003cid>`,children:[_jsx(ResponseField,{name:`price`,type:`float`,id:`param-price`,children:_jsxs(_components.p,{children:[`A float version of your price, in case you want to do some custom formatting of the price. Tip: check if `,_jsx(_components.code,{children:`products.{id}.display.price`}),` meets your needs before manually constructing a display price with this field.`]})}),_jsx(ResponseField,{name:`price_usd`,type:`float`,id:`param-price-usd`,children:_jsxs(_components.p,{children:[`The current value of `,_jsx(_components.code,{children:`products.{id}.price`}),` in United States dollars.`]})}),_jsx(ResponseField,{name:`interval`,type:`enum`,id:`param-interval`,children:_jsxs(_components.p,{children:[`The billing interval of this product. Possible values: `,_jsx(_components.code,{children:`day`}),`, `,_jsx(_components.code,{children:`week`}),`, `,_jsx(_components.code,{children:`month`}),`, `,_jsx(_components.code,{children:`year`}),`, `,_jsx(_components.code,{children:`one_time`})]})}),_jsx(ResponseField,{name:`interval_count`,type:`integer`,id:`param-interval-count`}),_jsxs(ResponseField,{name:`display`,type:`object`,id:`param-display`,children:[_jsx(_components.p,{children:`The price data, formatted in various ways for display to your user.`}),_jsxs(Expandable,{title:`properties`,children:[_jsx(ResponseField,{name:`price`,type:`string`,id:`param-price-1`,children:_jsxs(_components.p,{children:[`The price data, formatted in a way that your user will quickly understand. This is usually a combination of `,_jsx(_components.code,{children:`currency`}),`, `,_jsx(_components.code,{children:`currency_symbol`}),`, and `,_jsx(_components.code,{children:`products.{id}.price`}),`. `,_jsx(_components.code,{children:`products.{id}.price`}),` will use commas or periods as separators if that is the local custom. Example: `,_jsx(_components.code,{children:`JP¥2,200`})]})}),_jsx(ResponseField,{name:`reference_interval_price`,type:`string`,id:`param-reference-interval-price`,children:_jsx(_components.p,{children:`The default price for the product. You can set this default price in your Corrily Dashboard.`})}),_jsx(ResponseField,{name:`price_with_baseline_strike`,type:`string`,id:`param-price-with-baseline-strike`,children:_jsxs(_components.p,{children:[`If `,_jsx(_components.code,{children:`products.{id}.price`}),` is an experimental price, this field contains the baseline price striked out, followed by the experimental price. You may want to present this to your user to help them see that they would be paying less than normal customers. Example: `,_jsx(_components.span,{className:`katex-error`,title:`ParseError: KaTeX parse error: Expected 'EOF', got '̶' at position 1: ̶̲3̶4̶ `,style:{color:`#cc0000`},children:_jsx(_components.span,{className:`latin_fallback`,children:`̶3̶4̶ `})}),`19`]})}),_jsx(ResponseField,{name:`discount_to_baseline`,type:`float`,id:`param-discount-to-baseline`,children:_jsxs(_components.p,{children:[`If `,_jsx(_components.code,{children:`products.{id}.price`}),` is an experimental price, this field contains the percentage discount of the experimental price compared to the baseline price. For example, if the baseline price is 34 and the experimental price is 19, the discount is about 44%: 1 - (19 ÷ 34)) × 100`]})})]})]}),_jsxs(ResponseField,{name:`trial`,type:`object`,id:`param-trial`,children:[_jsx(_components.p,{children:`The trial data for the product if available`}),_jsxs(Expandable,{children:[_jsx(ResponseField,{name:`trial_id`,type:`id`,id:`param-trial-id`,children:_jsx(_components.p,{children:`The corrily trial id for the product`})}),_jsx(ResponseField,{name:`trial_days`,type:`integer`,id:`param-trial-days`,children:_jsx(_components.p,{children:`Number of days for the trial`})}),_jsx(ResponseField,{name:`trial_type`,type:`enum`,id:`param-trial-type`,children:_jsxs(_components.p,{children:[`Type of the trial. Possible values: `,_jsx(_components.code,{children:`PAID`}),`, `,_jsx(_components.code,{children:`FREE`})]})})]})]}),_jsxs(ResponseField,{name:`integrations`,type:`object`,id:`param-integrations-1`,children:[_jsx(_components.p,{children:`The price data, formatted for payment gateway integration.`}),_jsxs(Expandable,{title:`\u003cgateway>`,children:[_jsx(ResponseField,{name:`currency`,type:`enum`,id:`param-currency-2`,children:_jsxs(_components.p,{children:[`The currency that `,_jsx(_components.code,{children:`products.{id}.integrations.{gateway}.amount`}),` is priced in. If this currency is not the same as the top-level `,_jsx(_components.code,{children:`currency`}),` value in this response (the “local currency”), it means that the payment gateway does not accept the local currency.`]})}),_jsx(ResponseField,{name:`amount`,type:`float`,id:`param-amount`,children:_jsxs(_components.p,{children:[`The amount that you should pass to the payment gateway when creating the\nsubscription or charge. Many payment gateways use `,_jsx(_components.a,{href:`/payment-gateways/integration-guide#map-smallest-unit-currency-format-to-decimal-format`,children:`smallest-unit currency\nformat`}),`\nin which case this value will be an integer.`]})}),_jsx(ResponseField,{name:`formatted`,type:`string`,id:`param-formatted`,children:_jsxs(_components.p,{children:[`As mentioned in `,_jsx(_components.code,{children:`products.{id}.integrations.{gateway}.currency`}),`, sometimes a\npayment gateway doesn’t support your user’s local currency. If that’s the\ncase, then `,_jsx(_components.code,{children:`products.{id}.integrations. {gateway}.formatted`}),` provides the equivalent price in a currency that the payment\ngateway does support. This field is similar to `,_jsx(_components.code,{children:`products.{id}.display.price`}),` in\nthat it will be formatted in a way that your user will quickly understand.`]})})]})]}),_jsxs(ResponseField,{name:`coupons`,type:`object`,id:`param-coupons-1`,children:[_jsx(_components.p,{children:`Optionally include coupon details if the given request matches any segment for\nwhich an active campaign is running`}),_jsxs(Expandable,{children:[_jsx(ResponseField,{name:`id`,type:`string`,id:`param-id`,children:_jsx(_components.p,{children:`coupon id`})}),_jsx(ResponseField,{name:`api_id`,type:`string`,id:`param-api-id`,children:_jsx(_components.p,{children:`coupon corrily api_id`})}),_jsx(ResponseField,{name:`type`,type:`string`,id:`param-type`,children:_jsx(_components.p,{children:`indicates if a coupon is percentage discount coupon or absolute amount\ndiscount coupon`})}),_jsx(ResponseField,{name:`value`,type:`float`,id:`param-value`,children:_jsx(_components.p,{children:`The value or percentage or absolute amount of discount for the coupon`})}),_jsx(ResponseField,{name:`coupon_source`,type:`array`,id:`param-coupon-source`,children:_jsx(_components.p,{children:`Array of strings. Indicates sources of the coupon if the coupon maps to external\nsources. For example: “coupon_source”: [“STRIPE”, “CHARGEBEE”]`})}),_jsx(ResponseField,{name:`external_coupon_id`,type:`number`,id:`param-external-coupon-id`,children:_jsx(_components.p,{children:`External Coupon corrily id`})}),_jsx(ResponseField,{name:`external_coupon_api_id`,type:`string`,id:`param-external-coupon-api-id`,children:_jsx(_components.p,{children:`Coupon id from the external source if that coupon maps to an external\nsource`})}),_jsx(ResponseField,{name:`currency_code`,type:`string`,id:`param-currency-code`,children:_jsx(_components.p,{children:`Indicates currency code if it is configured for the coupon`})}),_jsx(ResponseField,{name:`valid_till`,type:`string`,id:`param-valid-till`,children:_jsx(_components.p,{children:`Datetime in YYYY-MM-DD HH:MM:SS format. Indicates the time the coupon is\nvalid for in UTC.`})}),_jsxs(ResponseField,{name:`display`,type:`object`,id:`param-display-1`,children:[_jsx(_components.p,{children:`The price data after coupon application, formatted in various ways for display to your user.`}),_jsxs(Expandable,{children:[_jsx(ResponseField,{name:`price`,type:`string`,id:`param-price-2`,children:_jsxs(_components.p,{children:[`The price data in a useful format after coupon application.\nThis value is formatted in the same way as `,_jsx(_components.code,{children:`products.{id}.price`}),`.\nUses `,_jsx(_components.code,{children:`coupons[i].display.price_numeric`}),` as a price source.`]})}),_jsx(ResponseField,{name:`price_numeric`,type:`number`,id:`param-price-numeric`,children:_jsx(_components.p,{children:`Numeric price after coupon application`})}),_jsx(ResponseField,{name:`reference_interval_price`,type:`string`,id:`param-reference-interval-price-1`,children:_jsx(_components.p,{children:`The default price for the product. You can set this default price in your Corrily Dashboard.`})}),_jsx(ResponseField,{name:`reference_interval_price_numeric`,type:`number`,id:`param-reference-interval-price-numeric`,children:_jsxs(_components.p,{children:[_jsx(_components.code,{children:`reference_interval_price`}),` in numeric format`]})}),_jsx(ResponseField,{name:`price_with_baseline_strike`,type:`string`,id:`param-price-with-baseline-strike-1`,children:_jsxs(_components.p,{children:[`If `,_jsx(_components.code,{children:`products.{id}.price`}),` is an experimental price, this field contains the baseline price striked out, followed by the experimental price. You may want to present this to your user to help them see that they would be paying less than normal customers. Example: `,_jsx(_components.span,{className:`katex-error`,title:`ParseError: KaTeX parse error: Expected 'EOF', got '̶' at position 1: ̶̲3̶4̶ `,style:{color:`#cc0000`},children:_jsx(_components.span,{className:`latin_fallback`,children:`̶3̶4̶ `})}),`19`]})}),_jsx(ResponseField,{name:`pct_discount_to_baseline`,type:`number`,id:`param-pct-discount-to-baseline`,children:_jsx(_components.p,{children:`If coupon is in percents, then here will be coupon value in percents.\nIf coupon is absolue value, then this field will contain relation in percents between base price and price after coupon is applied.`})})]})]}),_jsx(ResponseField,{name:`amount_after_coupon_discount`,type:`number`,id:`param-amount-after-coupon-discount`,children:_jsx(_components.p,{children:`Price after coupon application`})})]})]})]})]}),`\n`,_jsxs(ResponseField,{name:`variants`,type:`object`,id:`param-variants`,children:[_jsx(_components.p,{children:`Price experimentation metadata. If you are not doing price experimentation,\nyou can ignore this object.`}),_jsxs(Expandable,{children:[_jsx(ResponseField,{name:`experimented_on`,type:`boolean`,id:`param-experimented-on`,children:_jsx(_components.p,{children:`Whether or not this response contains experimental prices.`})}),_jsx(ResponseField,{name:`experiment_id`,type:`int`,id:`param-experiment-id`,children:_jsxs(_components.p,{children:[`The ID of this experiment. An id of `,_jsx(_components.code,{children:`0`}),` means no experiment was run.`]})}),_jsx(ResponseField,{name:`experiment_type`,type:`enum`,id:`param-experiment-type`,children:_jsxs(_components.p,{children:[`One of `,_jsx(_components.code,{children:`price`}),`, `,_jsx(_components.code,{children:`packaging`}),` or `,_jsx(_components.code,{children:`null`}),`.`]})}),_jsx(ResponseField,{name:`products_to_select`,type:`[string]`,id:`param-products-to-select`,children:_jsxs(_components.p,{children:[`In the case of a `,_jsx(_components.code,{children:`packaging`}),` experiment, the product API IDs to pick from\nthe `,_jsx(_components.code,{children:`product`}),` object of the response to show to users.`]})}),_jsx(ResponseField,{name:`treatment_group`,type:`enum`,id:`param-treatment-group`,children:_jsxs(_components.p,{children:[`The experiment arm identifier, equal to `,_jsx(_components.code,{children:`baseline`}),` if experiment is run\nbut baseline arm was selected.`]})})]})]}),`\n`,_jsxs(ResponseField,{name:`audience`,type:`object`,id:`param-audience`,children:[_jsx(_components.p,{children:`The first audience user matches.`}),_jsxs(Expandable,{children:[_jsx(ResponseField,{name:`name`,type:`string`,id:`param-name`,children:_jsx(_components.p,{children:`Audience name`})}),_jsx(ResponseField,{name:`api_id`,type:`string`,id:`param-api-id-1`,children:_jsx(_components.p,{children:`Audience API ID`})})]})]}),`\n`,_jsxs(ResponseField,{name:`matching_audiences`,type:`[object]`,id:`param-matching-audiences`,children:[_jsx(_components.p,{children:`All audiences user matches, sorted by name.`}),_jsxs(Expandable,{children:[_jsx(ResponseField,{name:`name`,type:`string`,id:`param-name-1`,children:_jsx(_components.p,{children:`Audience name`})}),_jsx(ResponseField,{name:`api_id`,type:`string`,id:`param-api-id-2`,children:_jsx(_components.p,{children:`Audience API ID`})})]})]})]})}function MDXContent(props={}){const{wrapper:MDXLayout}={..._provideComponents(),...props.components};return MDXLayout?_jsx(MDXLayout,{...props,children:_jsx(_createMdxContent,{...props})}):_createMdxContent(props)}return{id,gateway,default:MDXContent};function _missingMdxReference(id,component){throw new Error(`Expected `+(component?`component`:`object`)+\" `\"+id+\"` to be defined: you likely forgot to import, pass, or provide it.\")}","frontmatter":{},"scope":{"config":{},"pageMetadata":{"title":"Calculate price","description":"Calculate a localized or optimized price for your service or product based on the customer's location and other characteristics.","api":"POST https://client.corrily.com/v1/prices","href":"/api-reference/calculate-price"}}},"mdxSourceWithNoJs":{"compiledSource":"\"use strict\";const{Fragment:_Fragment,jsx:_jsx,jsxs:_jsxs}=arguments[0];const{useMDXComponents:_provideComponents}=arguments[0];const id=`\u003cid>`;const gateway=`\u003cgateway>`;function _createMdxContent(props){const _components={a:`a`,code:`code`,em:`em`,li:`li`,p:`p`,pre:`pre`,span:`span`,ul:`ul`,..._provideComponents(),...props.components},{CodeBlock,Expandable,Heading,ParamField,RequestExample,ResponseExample,ResponseField}=_components;if(!CodeBlock)_missingMdxReference(`CodeBlock`,true);if(!Expandable)_missingMdxReference(`Expandable`,true);if(!Heading)_missingMdxReference(`Heading`,true);if(!ParamField)_missingMdxReference(`ParamField`,true);if(!RequestExample)_missingMdxReference(`RequestExample`,true);if(!ResponseExample)_missingMdxReference(`ResponseExample`,true);if(!ResponseField)_missingMdxReference(`ResponseField`,true);return _jsxs(_Fragment,{children:[_jsx(Heading,{level:`2`,id:`usage`,children:`Usage`}),`\n`,_jsx(_components.p,{children:`The first time that you call this endpoint for a given IP address and user ID, Corrily calculates the price. On subsequent calls (with the same IP address and user ID), Corrily returns the original calculated price.`}),`\n`,_jsxs(_components.p,{children:[`See `,_jsx(_components.a,{href:`/pricing/calculate-price-api-examples`,children:`Calculate price API examples`}),` for examples of how this endpoint is commonly used.`]}),`\n`,_jsx(Heading,{level:`3`,id:`price-localization`,children:`Price localization`}),`\n`,_jsx(_components.p,{children:`If you’re only using Corrily for price localization (i.e. you are not doing price optimization), this is the endpoint that you call in order to get localized prices.`}),`\n`,_jsx(Heading,{level:`3`,id:`price-optimization`,children:`Price optimization`}),`\n`,_jsx(_components.p,{children:`If you’re also doing price optimization, this is the endpoint you call to get optimized prices.`}),`\n`,_jsxs(_components.p,{children:[`As explained in `,_jsx(_components.a,{href:`/pricing/price-optimization-overview`,children:`Price optimization overview`}),`, Corrily either returns an experimental price or a control price which will be used to benchmark the experimental prices.`]}),`\n`,_jsx(_components.p,{children:`Experimental prices are affected by the following factors:`}),`\n`,_jsxs(_components.ul,{children:[`\n`,_jsx(_components.li,{children:`The (potential) customer’s location, which is inferred from their IP address`}),`\n`,_jsxs(_components.li,{children:[`Any `,_jsx(_components.a,{href:`/users/02_user-features`,children:`user features`}),` that you have provided`]}),`\n`,_jsx(_components.li,{children:`The outcomes of previous price experiments`}),`\n`,_jsx(_components.li,{children:`The upper and lower bounds that you defined in the Corrily Dashboard`}),`\n`]}),`\n`,_jsx(Heading,{level:`2`,id:`body-params`,children:`Body Params`}),`\n`,_jsx(ParamField,{body:`user_id`,type:`string`,id:`param-user-id`,children:_jsxs(_components.p,{children:[`A `,_jsx(_components.a,{href:`/users/01_users`,children:`User ID`}),`. Only required if no `,_jsx(_components.code,{children:`ip`}),` is provided and\n`,_jsx(_components.code,{children:`get_ip_from_request`}),` is `,_jsx(_components.code,{children:`false`}),`.`]})}),`\n`,_jsx(ParamField,{body:`products`,type:`string[]`,required:true,id:`param-products`,children:_jsxs(_components.p,{children:[`The product IDs that you want to calculate prices for. In general, you\nprobably want to include the product IDs for all the product offerings that\nyou intend to show your visitor. The response from Corrily will contain the\ndisplay price for each product. For example, if you provide `,_jsx(_components.code,{children:`[\"monthly\", \"annual\"]`}),`, Corrily returns price data for your `,_jsx(_components.code,{children:`monthly`}),` and `,_jsx(_components.code,{children:`annual`}),`\nproducts. Product IDs are created by Corrily when you set up your Corrily\naccount. Email `,_jsx(_components.a,{href:`mailto:support@corrily.com`,children:`support@corrily.com`}),` if you don’t know yours.`]})}),`\n`,_jsx(ParamField,{body:`package_id`,type:`string`,id:`param-package-id`,children:_jsx(_components.p,{children:`If packaging segmentation is enabled, package id can be passed to get the products for a package. That way\nthe products shown themselves will be based on the package segmentation.\nWhen package segmentation is enabled, the products parameter is optional.\nIf there is no pacakge segmentation defined for given country, audience, and no package_id, products\nare specified in request, an error will be returned.`})}),`\n`,_jsx(ParamField,{body:`ip`,type:`string`,id:`param-ip`,children:_jsxs(_components.p,{children:[`An IPv4 or IPv6 address. Corrily uses this as the user ID if no user_id is\nprovided. ip is only required if no user_id is provided and\n`,_jsx(_components.code,{children:`get_ip_from_request`}),` is false. Examples: `,_jsx(_components.code,{children:`187.106.3.73`}),` (IPv4),\n`,_jsx(_components.code,{children:`2804:14d:ac91:8286:efcb:851f:b59f:fffc`}),` (IPv6).`]})}),`\n`,_jsx(ParamField,{body:`get_ip_from_request`,type:`boolean`,id:`param-get-ip-from-request`,children:_jsxs(_components.p,{children:[`If `,_jsx(_components.code,{children:`true`}),`, Corrily sources the user’s IP from this request.\n`,_jsx(_components.code,{children:`get_ip_from_request`}),` therefore only works correctly when the Corrily API\nrequest is made from a client device.`]})}),`\n`,_jsx(ParamField,{body:`country`,type:`string`,id:`param-country`,children:_jsxs(_components.p,{children:[`A two-letter (Alpha-2) `,_jsx(_components.a,{href:`https://en.wikipedia.org/wiki/List_of_ISO_3166_country_codes#Current_ISO_3166_country_codes`,children:`ISO 3166 country\ncode`}),`.\nExample: `,_jsx(_components.code,{children:`US`})]})}),`\n`,_jsx(ParamField,{body:`features`,type:`object`,id:`param-features`,children:_jsxs(_components.p,{children:[`An object containing key-value pairs of arbitrary strings that represent features of this user which may affect their optimal price. See `,_jsx(_components.a,{href:`/users/02_user-features`,children:`User features`}),`. Example: `,_jsx(_components.code,{children:`{\"platform\": \"ios\"}`})]})}),`\n`,_jsx(ParamField,{body:`integrations`,type:`string[]`,id:`param-integrations`,children:_jsxs(_components.p,{children:[`The payment gateways to return integration objects for. Accepted values:\n`,_jsx(_components.code,{children:`stripe`}),`, `,_jsx(_components.code,{children:`paypal`}),`, `,_jsx(_components.code,{children:`chargebee`})]})}),`\n`,_jsx(ParamField,{body:`currency`,type:`string`,id:`param-currency`,children:_jsx(_components.p,{children:`A currency you wish the price to be tied to. Currencies do not need to match\nthe passed country. For example, it is possible to return a price in EUR for\nsomeone based in the Unites Sates. Note that the country-adjusted price will\nbe returned, regardless of the currency set.`})}),`\n`,_jsx(ParamField,{body:`override`,type:`boolean`,id:`param-override`,children:_jsx(_components.p,{children:`With this flag you can run a complete recomputation of what should be shown for a user: country, currency, experiment and arm.\nFor example, if a user was attached to country A and now you want to attach him to country B, and recompute products and prices for him,\nthen you can use this flag. After recomputation, all previously saved for this user data will be overrided.`})}),`\n`,_jsx(ParamField,{body:`override_currency`,type:`boolean`,id:`param-override-currency`,children:_jsxs(_components.p,{children:[`Will override the currency of any previously saved price and instead return\nthe price in the currency provided. If set to `,_jsx(_components.code,{children:`true`}),`, a `,_jsx(_components.code,{children:`currency`}),` param must\nbe passed. Unlike `,_jsx(_components.code,{children:`override`}),` the price amount will `,_jsx(_components.em,{children:`not`}),` be recomputed.`]})}),`\n`,_jsx(ParamField,{body:`run_experiment`,type:`boolean`,id:`param-run-experiment`,children:_jsx(_components.p,{children:`If set to false, will make sure no experiment is run.`})}),`\n`,_jsx(ParamField,{body:`coupons`,type:`object`,id:`param-coupons`,children:_jsxs(_components.p,{children:[`Optional product id to coupon id mapping to explicitly specify the coupon to be applied in the pricing. Coupons feature needs to be enabled for this. example `,_jsx(_components.code,{children:`{\"product_id_1\": \"coupon_id_1\"}`}),`. Multiple coupons can be applied by a comma-delimited string, for example: `,_jsx(_components.code,{children:`{\"product_id_1\": \"coupon_id_1,coupon_id2\"}`})]})}),`\n`,_jsx(Heading,{level:`2`,id:`response`,children:`Response`}),`\n`,_jsx(ResponseField,{name:`success`,type:`boolean`,id:`param-success`,children:_jsx(_components.p,{children:`Whether or not the request completed successfully.`})}),`\n`,_jsx(ResponseField,{name:`user_id`,type:`string`,id:`param-user-id-1`,children:_jsx(_components.p,{children:`The user ID that you provided when you called calculate price, or the user’s\nIP address (if you did not provide a user ID).`})}),`\n`,_jsx(ResponseField,{name:`country`,type:`enum`,id:`param-country-1`,children:_jsxs(_components.p,{children:[`The country that the price data is associated to. If you did not specify a\ncountry when calling calculate price, the `,_jsx(_components.code,{children:`country`}),` value provided here in the\nresponse is inferred from the user’s IP address.`]})}),`\n`,_jsx(ResponseField,{name:`currency`,type:`enum`,id:`param-currency-1`,children:_jsxs(_components.p,{children:[`The currency that the price data is associated to. Tip: check if `,_jsx(_components.code,{children:`products. {id}.display.price`}),` meets your needs before manually constructing a display price\nwith this field.`]})}),`\n`,_jsx(ResponseField,{name:`currency_symbol`,type:`string`,id:`param-currency-symbol`,children:_jsxs(_components.p,{children:[`The currency symbol that the price data is associated to. Tip: check if\n`,_jsx(_components.code,{children:`products.{id}.display.price`}),` meets your needs before manually constructing a\ndisplay price with this field.`]})}),`\n`,_jsx(ResponseField,{name:`package_id`,type:`string`,id:`param-package-id-1`,children:_jsx(_components.p,{children:`The package ID that was used to get the products.`})}),`\n`,_jsxs(ResponseField,{name:`products`,type:`object`,id:`param-products-1`,children:[_jsxs(_components.p,{children:[`The price data for each of the products that you specified when you called calculate price. The placeholder `,_jsx(_components.code,{children:`{id}`}),` below represents your product ID(s). See `,_jsx(_components.a,{href:`/basics/setup`,children:`Setup`}),` to learn how to create product IDs.`]}),_jsxs(Expandable,{title:`\u003cid>`,children:[_jsx(ResponseField,{name:`price`,type:`float`,id:`param-price`,children:_jsxs(_components.p,{children:[`A float version of your price, in case you want to do some custom formatting of the price. Tip: check if `,_jsx(_components.code,{children:`products.{id}.display.price`}),` meets your needs before manually constructing a display price with this field.`]})}),_jsx(ResponseField,{name:`price_usd`,type:`float`,id:`param-price-usd`,children:_jsxs(_components.p,{children:[`The current value of `,_jsx(_components.code,{children:`products.{id}.price`}),` in United States dollars.`]})}),_jsx(ResponseField,{name:`interval`,type:`enum`,id:`param-interval`,children:_jsxs(_components.p,{children:[`The billing interval of this product. Possible values: `,_jsx(_components.code,{children:`day`}),`, `,_jsx(_components.code,{children:`week`}),`, `,_jsx(_components.code,{children:`month`}),`, `,_jsx(_components.code,{children:`year`}),`, `,_jsx(_components.code,{children:`one_time`})]})}),_jsx(ResponseField,{name:`interval_count`,type:`integer`,id:`param-interval-count`}),_jsxs(ResponseField,{name:`display`,type:`object`,id:`param-display`,children:[_jsx(_components.p,{children:`The price data, formatted in various ways for display to your user.`}),_jsxs(Expandable,{title:`properties`,children:[_jsx(ResponseField,{name:`price`,type:`string`,id:`param-price-1`,children:_jsxs(_components.p,{children:[`The price data, formatted in a way that your user will quickly understand. This is usually a combination of `,_jsx(_components.code,{children:`currency`}),`, `,_jsx(_components.code,{children:`currency_symbol`}),`, and `,_jsx(_components.code,{children:`products.{id}.price`}),`. `,_jsx(_components.code,{children:`products.{id}.price`}),` will use commas or periods as separators if that is the local custom. Example: `,_jsx(_components.code,{children:`JP¥2,200`})]})}),_jsx(ResponseField,{name:`reference_interval_price`,type:`string`,id:`param-reference-interval-price`,children:_jsx(_components.p,{children:`The default price for the product. You can set this default price in your Corrily Dashboard.`})}),_jsx(ResponseField,{name:`price_with_baseline_strike`,type:`string`,id:`param-price-with-baseline-strike`,children:_jsxs(_components.p,{children:[`If `,_jsx(_components.code,{children:`products.{id}.price`}),` is an experimental price, this field contains the baseline price striked out, followed by the experimental price. You may want to present this to your user to help them see that they would be paying less than normal customers. Example: `,_jsx(_components.span,{className:`katex-error`,title:`ParseError: KaTeX parse error: Expected 'EOF', got '̶' at position 1: ̶̲3̶4̶ `,style:{color:`#cc0000`},children:_jsx(_components.span,{className:`latin_fallback`,children:`̶3̶4̶ `})}),`19`]})}),_jsx(ResponseField,{name:`discount_to_baseline`,type:`float`,id:`param-discount-to-baseline`,children:_jsxs(_components.p,{children:[`If `,_jsx(_components.code,{children:`products.{id}.price`}),` is an experimental price, this field contains the percentage discount of the experimental price compared to the baseline price. For example, if the baseline price is 34 and the experimental price is 19, the discount is about 44%: 1 - (19 ÷ 34)) × 100`]})})]})]}),_jsxs(ResponseField,{name:`trial`,type:`object`,id:`param-trial`,children:[_jsx(_components.p,{children:`The trial data for the product if available`}),_jsxs(Expandable,{children:[_jsx(ResponseField,{name:`trial_id`,type:`id`,id:`param-trial-id`,children:_jsx(_components.p,{children:`The corrily trial id for the product`})}),_jsx(ResponseField,{name:`trial_days`,type:`integer`,id:`param-trial-days`,children:_jsx(_components.p,{children:`Number of days for the trial`})}),_jsx(ResponseField,{name:`trial_type`,type:`enum`,id:`param-trial-type`,children:_jsxs(_components.p,{children:[`Type of the trial. Possible values: `,_jsx(_components.code,{children:`PAID`}),`, `,_jsx(_components.code,{children:`FREE`})]})})]})]}),_jsxs(ResponseField,{name:`integrations`,type:`object`,id:`param-integrations-1`,children:[_jsx(_components.p,{children:`The price data, formatted for payment gateway integration.`}),_jsxs(Expandable,{title:`\u003cgateway>`,children:[_jsx(ResponseField,{name:`currency`,type:`enum`,id:`param-currency-2`,children:_jsxs(_components.p,{children:[`The currency that `,_jsx(_components.code,{children:`products.{id}.integrations.{gateway}.amount`}),` is priced in. If this currency is not the same as the top-level `,_jsx(_components.code,{children:`currency`}),` value in this response (the “local currency”), it means that the payment gateway does not accept the local currency.`]})}),_jsx(ResponseField,{name:`amount`,type:`float`,id:`param-amount`,children:_jsxs(_components.p,{children:[`The amount that you should pass to the payment gateway when creating the\nsubscription or charge. Many payment gateways use `,_jsx(_components.a,{href:`/payment-gateways/integration-guide#map-smallest-unit-currency-format-to-decimal-format`,children:`smallest-unit currency\nformat`}),`\nin which case this value will be an integer.`]})}),_jsx(ResponseField,{name:`formatted`,type:`string`,id:`param-formatted`,children:_jsxs(_components.p,{children:[`As mentioned in `,_jsx(_components.code,{children:`products.{id}.integrations.{gateway}.currency`}),`, sometimes a\npayment gateway doesn’t support your user’s local currency. If that’s the\ncase, then `,_jsx(_components.code,{children:`products.{id}.integrations. {gateway}.formatted`}),` provides the equivalent price in a currency that the payment\ngateway does support. This field is similar to `,_jsx(_components.code,{children:`products.{id}.display.price`}),` in\nthat it will be formatted in a way that your user will quickly understand.`]})})]})]}),_jsxs(ResponseField,{name:`coupons`,type:`object`,id:`param-coupons-1`,children:[_jsx(_components.p,{children:`Optionally include coupon details if the given request matches any segment for\nwhich an active campaign is running`}),_jsxs(Expandable,{children:[_jsx(ResponseField,{name:`id`,type:`string`,id:`param-id`,children:_jsx(_components.p,{children:`coupon id`})}),_jsx(ResponseField,{name:`api_id`,type:`string`,id:`param-api-id`,children:_jsx(_components.p,{children:`coupon corrily api_id`})}),_jsx(ResponseField,{name:`type`,type:`string`,id:`param-type`,children:_jsx(_components.p,{children:`indicates if a coupon is percentage discount coupon or absolute amount\ndiscount coupon`})}),_jsx(ResponseField,{name:`value`,type:`float`,id:`param-value`,children:_jsx(_components.p,{children:`The value or percentage or absolute amount of discount for the coupon`})}),_jsx(ResponseField,{name:`coupon_source`,type:`array`,id:`param-coupon-source`,children:_jsx(_components.p,{children:`Array of strings. Indicates sources of the coupon if the coupon maps to external\nsources. For example: “coupon_source”: [“STRIPE”, “CHARGEBEE”]`})}),_jsx(ResponseField,{name:`external_coupon_id`,type:`number`,id:`param-external-coupon-id`,children:_jsx(_components.p,{children:`External Coupon corrily id`})}),_jsx(ResponseField,{name:`external_coupon_api_id`,type:`string`,id:`param-external-coupon-api-id`,children:_jsx(_components.p,{children:`Coupon id from the external source if that coupon maps to an external\nsource`})}),_jsx(ResponseField,{name:`currency_code`,type:`string`,id:`param-currency-code`,children:_jsx(_components.p,{children:`Indicates currency code if it is configured for the coupon`})}),_jsx(ResponseField,{name:`valid_till`,type:`string`,id:`param-valid-till`,children:_jsx(_components.p,{children:`Datetime in YYYY-MM-DD HH:MM:SS format. Indicates the time the coupon is\nvalid for in UTC.`})}),_jsxs(ResponseField,{name:`display`,type:`object`,id:`param-display-1`,children:[_jsx(_components.p,{children:`The price data after coupon application, formatted in various ways for display to your user.`}),_jsxs(Expandable,{children:[_jsx(ResponseField,{name:`price`,type:`string`,id:`param-price-2`,children:_jsxs(_components.p,{children:[`The price data in a useful format after coupon application.\nThis value is formatted in the same way as `,_jsx(_components.code,{children:`products.{id}.price`}),`.\nUses `,_jsx(_components.code,{children:`coupons[i].display.price_numeric`}),` as a price source.`]})}),_jsx(ResponseField,{name:`price_numeric`,type:`number`,id:`param-price-numeric`,children:_jsx(_components.p,{children:`Numeric price after coupon application`})}),_jsx(ResponseField,{name:`reference_interval_price`,type:`string`,id:`param-reference-interval-price-1`,children:_jsx(_components.p,{children:`The default price for the product. You can set this default price in your Corrily Dashboard.`})}),_jsx(ResponseField,{name:`reference_interval_price_numeric`,type:`number`,id:`param-reference-interval-price-numeric`,children:_jsxs(_components.p,{children:[_jsx(_components.code,{children:`reference_interval_price`}),` in numeric format`]})}),_jsx(ResponseField,{name:`price_with_baseline_strike`,type:`string`,id:`param-price-with-baseline-strike-1`,children:_jsxs(_components.p,{children:[`If `,_jsx(_components.code,{children:`products.{id}.price`}),` is an experimental price, this field contains the baseline price striked out, followed by the experimental price. You may want to present this to your user to help them see that they would be paying less than normal customers. Example: `,_jsx(_components.span,{className:`katex-error`,title:`ParseError: KaTeX parse error: Expected 'EOF', got '̶' at position 1: ̶̲3̶4̶ `,style:{color:`#cc0000`},children:_jsx(_components.span,{className:`latin_fallback`,children:`̶3̶4̶ `})}),`19`]})}),_jsx(ResponseField,{name:`pct_discount_to_baseline`,type:`number`,id:`param-pct-discount-to-baseline`,children:_jsx(_components.p,{children:`If coupon is in percents, then here will be coupon value in percents.\nIf coupon is absolue value, then this field will contain relation in percents between base price and price after coupon is applied.`})})]})]}),_jsx(ResponseField,{name:`amount_after_coupon_discount`,type:`number`,id:`param-amount-after-coupon-discount`,children:_jsx(_components.p,{children:`Price after coupon application`})})]})]})]})]}),`\n`,_jsxs(ResponseField,{name:`variants`,type:`object`,id:`param-variants`,children:[_jsx(_components.p,{children:`Price experimentation metadata. If you are not doing price experimentation,\nyou can ignore this object.`}),_jsxs(Expandable,{children:[_jsx(ResponseField,{name:`experimented_on`,type:`boolean`,id:`param-experimented-on`,children:_jsx(_components.p,{children:`Whether or not this response contains experimental prices.`})}),_jsx(ResponseField,{name:`experiment_id`,type:`int`,id:`param-experiment-id`,children:_jsxs(_components.p,{children:[`The ID of this experiment. An id of `,_jsx(_components.code,{children:`0`}),` means no experiment was run.`]})}),_jsx(ResponseField,{name:`experiment_type`,type:`enum`,id:`param-experiment-type`,children:_jsxs(_components.p,{children:[`One of `,_jsx(_components.code,{children:`price`}),`, `,_jsx(_components.code,{children:`packaging`}),` or `,_jsx(_components.code,{children:`null`}),`.`]})}),_jsx(ResponseField,{name:`products_to_select`,type:`[string]`,id:`param-products-to-select`,children:_jsxs(_components.p,{children:[`In the case of a `,_jsx(_components.code,{children:`packaging`}),` experiment, the product API IDs to pick from\nthe `,_jsx(_components.code,{children:`product`}),` object of the response to show to users.`]})}),_jsx(ResponseField,{name:`treatment_group`,type:`enum`,id:`param-treatment-group`,children:_jsxs(_components.p,{children:[`The experiment arm identifier, equal to `,_jsx(_components.code,{children:`baseline`}),` if experiment is run\nbut baseline arm was selected.`]})})]})]}),`\n`,_jsxs(ResponseField,{name:`audience`,type:`object`,id:`param-audience`,children:[_jsx(_components.p,{children:`The first audience user matches.`}),_jsxs(Expandable,{children:[_jsx(ResponseField,{name:`name`,type:`string`,id:`param-name`,children:_jsx(_components.p,{children:`Audience name`})}),_jsx(ResponseField,{name:`api_id`,type:`string`,id:`param-api-id-1`,children:_jsx(_components.p,{children:`Audience API ID`})})]})]}),`\n`,_jsxs(ResponseField,{name:`matching_audiences`,type:`[object]`,id:`param-matching-audiences`,children:[_jsx(_components.p,{children:`All audiences user matches, sorted by name.`}),_jsxs(Expandable,{children:[_jsx(ResponseField,{name:`name`,type:`string`,id:`param-name-1`,children:_jsx(_components.p,{children:`Audience name`})}),_jsx(ResponseField,{name:`api_id`,type:`string`,id:`param-api-id-2`,children:_jsx(_components.p,{children:`Audience API ID`})})]})]}),`\n`,_jsx(ResponseExample,{children:_jsx(CodeBlock,{filename:`Example`,numberOfLines:`86`,language:`json`,children:_jsx(_components.pre,{className:`shiki shiki-themes github-light-default dark-plus`,style:{backgroundColor:`#ffffff`,\"--shiki-dark-bg\":`#0B0C0E`,color:`#1f2328`,\"--shiki-dark\":`#D4D4D4`},language:`json`,children:_jsxs(_components.code,{language:`json`,numberOfLines:`86`,children:[_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`{`})}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"success\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#569CD6`},children:`true`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"user_id\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"193.37.32.232\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"country\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"SG\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"currency\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"SGD\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"currency_symbol\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"S$\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"products\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: {`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"monthly\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: {`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"price\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#B5CEA8`},children:`27`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"price_usd\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#B5CEA8`},children:`20.059360849328197`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"interval\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"month\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"interval_count\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#B5CEA8`},children:`1`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"display\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: {`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"price\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"S$ 27\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"reference_interval_price\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"S$ 27\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"price_with_baseline_strike\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"S$ 27\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"discount_to_baseline\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#B5CEA8`},children:`0`})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` },`})}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"integrations\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: {`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"stripe\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: {`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"currency\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"SGD\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"amount\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#B5CEA8`},children:`2700`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"formatted\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"S$ 27\"`})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` }`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` }`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` },`})}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"annual\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: {`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"price\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#B5CEA8`},children:`144`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"price_usd\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#B5CEA8`},children:`106.98325786308372`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"interval\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"year\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"interval_count\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#B5CEA8`},children:`1`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"display\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: {`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"price\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"S$ 144\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"reference_interval_price\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"S$ 12\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"price_with_baseline_strike\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"S$ 12\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"discount_to_baseline\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#B5CEA8`},children:`0`})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` },`})}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"integrations\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: {`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"stripe\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: {`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"currency\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"SGD\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"amount\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#B5CEA8`},children:`14400`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"formatted\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"S$ 144\"`})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` }`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` },`})}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"coupon\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: {`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"id\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"coupon_id_392\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"type\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"percentage\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"value\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#B5CEA8`},children:`10`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"coupon_source\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"chargebee\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"external_coupon_id\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"chargebee_coupon_392\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"currency_code\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"USD\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"valid_till\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"2022-02-07 15:49:49\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"display\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: {`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"local_currency_symbol\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"€\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"interval_local_price_formatted\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"9 €\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"local_price_formatted\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"9 €\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"usd_price_formatted\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"$11\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"local_price_formatted_with_baseline_strike\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"9 €\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"pct_discount_to_baseline\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#B5CEA8`},children:`0.0`})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` }`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` }`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` }`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` },`})}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"variants\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: {`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"experimented_on\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#569CD6`},children:`false`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"experiment_id\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#B5CEA8`},children:`0`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"treatment_group\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#569CD6`},children:`null`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"experiment_type\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#569CD6`},children:`null`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"arm_id\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#B5CEA8`},children:`0`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"products_to_select\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: []`})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` },`})}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"audience\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: {`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"name\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"First Audience\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"api_id\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"audience_1\"`})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` },`})}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"matching_audiences\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: [`})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` {`})}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"name\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"First Audience\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"api_id\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"audience_1\"`})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` },`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` {`})}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"name\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"Second Audience\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"api_id\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"audience_2\"`})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` }`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` ],`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`}`})}),`\n`]})})})}),`\n`,_jsxs(RequestExample,{children:[_jsx(CodeBlock,{filename:`Bash`,numberOfLines:`20`,language:`shellscript`,children:_jsx(_components.pre,{className:`shiki shiki-themes github-light-default dark-plus`,style:{backgroundColor:`#ffffff`,\"--shiki-dark-bg\":`#0B0C0E`,color:`#1f2328`,\"--shiki-dark\":`#D4D4D4`},language:`shellscript`,children:_jsxs(_components.code,{language:`shellscript`,numberOfLines:`20`,children:[_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#953800`,\"--shiki-dark\":`#DCDCAA`},children:`curl`}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#569CD6`},children:` --request`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` POST`}),_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#D7BA7D`},children:` \\\\`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#569CD6`},children:` --url`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` https://client.corrily.com/v1/prices`}),_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#D7BA7D`},children:` \\\\`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#569CD6`},children:` --header`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` 'Content-Type: application/json'`}),_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#D7BA7D`},children:` \\\\`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#569CD6`},children:` --data`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` '`})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`{`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` \"user_id\": \"string\",`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` \"products\": [`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` \"string\"`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` ],`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` \"ip\": \"string\",`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` \"get_ip_from_request\": true,`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` \"country\": \"string\",`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` \"integrations\": [`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` \"string\"`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` ],`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` \"currency\": \"string\",`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` \"override\": true,`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` \"run_experiment\": true`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`}`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`'`})}),`\n`]})})}),_jsx(CodeBlock,{filename:`Node`,numberOfLines:`23`,language:`javascript`,children:_jsx(_components.pre,{className:`shiki shiki-themes github-light-default dark-plus`,style:{backgroundColor:`#ffffff`,\"--shiki-dark-bg\":`#0B0C0E`,color:`#1f2328`,\"--shiki-dark\":`#D4D4D4`},language:`javascript`,children:_jsxs(_components.code,{language:`javascript`,numberOfLines:`23`,children:[_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#569CD6`},children:`const`}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#4FC1FF`},children:` fetch`}),_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#D4D4D4`},children:` =`}),_jsx(_components.span,{style:{color:`#8250DF`,\"--shiki-dark\":`#DCDCAA`},children:` require`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`(`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"node-fetch\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`);`})]}),`\n`,_jsx(_components.span,{className:`line`}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#569CD6`},children:`const`}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#4FC1FF`},children:` url`}),_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#D4D4D4`},children:` =`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` \"https://client.corrily.com/v1/prices\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`;`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#569CD6`},children:`const`}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#4FC1FF`},children:` options`}),_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#D4D4D4`},children:` =`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` {`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#9CDCFE`},children:` method:`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` \"POST\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#9CDCFE`},children:` headers:`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` { `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"Content-Type\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#9CDCFE`},children:`:`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` \"application/json\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` },`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#9CDCFE`},children:` body:`}),_jsx(_components.span,{style:{color:`#0550AE`,\"
[...]
